API endpoint
https://seo.thesaanwariyas.com/api/v1/reports
Request example
curl --location --request GET 'https://seo.thesaanwariyas.com/api/v1/reports' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {api_key}'
Parameters
search
search_by
url for URL. Defaults to: url.
website_id
result
good for Good, decent for Decent, bad for Bad.
sort_by
id for Date created, url for URL, score for Score. Defaults to: id.
sort
desc for Descending, asc for Ascending. Defaults to: desc.
per_page
10, 25, 50, 100. Defaults to: 10.
API endpoint
https://seo.thesaanwariyas.com/api/v1/reports/{id}
Request example
curl --location --request GET 'https://seo.thesaanwariyas.com/api/v1/reports/{id}' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer {api_key}'
API endpoint
https://seo.thesaanwariyas.com/api/v1/reports
Request example
curl --location --request POST 'https://seo.thesaanwariyas.com/api/v1/reports' \ --header 'Content-Type: application/x-www-form-urlencoded' \ --header 'Authorization: Bearer {api_key}' \ --data-urlencode 'url={url}'
Parameters
url
API endpoint
https://seo.thesaanwariyas.com/api/v1/reports/{id}
Request example
curl --location --request DELETE 'https://seo.thesaanwariyas.com/api/v1/reports/{id}' \ --header 'Authorization: Bearer {api_key}'